Subject: Re: Various Program Settings not Saving and Icons not Recognized

From: Jaft <[email-masked]>
Date: Mon, 29 Nov 2021 04:01:20 +0000 (UTC)

> So, what you're saying is that running the full XFCE stack with the
> plain xfce from guix is currently broken?  I think that deserves to be
> called a bug, but it'd also have a fairly simple patch of adding
> adwaita-icon-theme, no?
It does (to my untrained eyes) seem broken but not for the reason I think you're suggesting.
Patching to add adwaita-icon-theme would be the same as me installing it manually, right (just making sure my understanding's correct)? I tried installing Adwaita icons when testing things out so I don't think that's the issue.
The issue seems to be that icons such as Papirus and Delft aren't using their own folders; instead, they seem to be using Adwaita's (maybe via the gnome-icon-theme package?). I think the images I'd attached better demonstrate the situation than I can, with words; some of the icons in the icon selection window show the right icons for the theme while other ones (namely the folders) default to the ones in the Adwaita icon theme.
It seems, to me, like possibly an issue with the icon themes, themselves? I'm not sure why it would but it's not an issue with the Adwaita icons, themselves; they load fine. It's the other icons which aren't using their full range of icons and are, instead, defaulting to another icon theme for some of their icons.
I…couldn't say why (unfortunately…) but it seems more to do with the other icon themes and less with the Adwaita icons, themselves.

> SVG handling is in a somewhat rough spot currently.  There's some GNOME
> packages on current master, that have broken icons due to gdk-
> pixbuf+svg being severely out of date.  These are for the most part
> known (at least the core GNOME ones like evince) and will probably
> vanish with the c-u-f merge.  Consequently, I don't think it makes
> sense to report broken icons due to this reason on master; one would
> have to look into the c-u-f situation. 

> Note that SVG is anyway broken for those not on x86_64, because that's
> the only platform that has Rust.  Maybe there's an effort to derustify
> SVG handling in Gdk similar to how there's an open merge request to use
> duktape in polkit.  If not, I did suggest elsewhere to pre-render SVGs
> with other tools like inkscape.
Ahh, gotcha. I hadn't been aware; that makes sense, then. I think we can safely ignore this one for now.

> Cheers